;============================================================
; Main Map Split
; By Erik
;
; This code will allow you to split the main map between
; a "lower" and a "upper" part. Note that you can only
; split in the X axis: you can't have a "left" and "right"
; division.
; Requires the included patch.
;============================================================

!split_pos      = $50           ;   must end in 0. Works similar to the separate OW songs patch.

!lock_y_axis    = 1             ;   set to 1 to lock the Y axis. Set to 0 otherwhise; recommended 1.
!locked_y_pos   = $FFD7         ;   used if the above is 1. Default: the topmost part of the overworld.

;---

init:
main:
        LDA $1F21|!addr
        ASL #3
        AND #$F0
        STA $00
        LDA $1F1F|!addr
        LSR
        ORA $00
        CMP.b #!split_pos
        BCS .no_lock
        if !lock_y_axis
                LDA.b #!locked_y_pos
                STA $1C
                STA $20
                LDA.b #!locked_y_pos>>8
                STA $1D
                STA $21
        endif
        LDA #$10
        TRB $15
        TRB $16
        STZ $13D4|!addr
        ;   add code that would only run in the split part here.
.no_lock
        RTL

